// Code generated by protoc-gen-go. DO NOT EDIT.
// source: app_runtime_server.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type PodStatus_Type int32

const (
	// PENDING means the pod has been accepted by the system, but one or more of the containers
	// has not been started. This includes time before being bound to a node, as well as time spent
	// pulling images onto the host.
	PodStatus_PENDING PodStatus_Type = 0
	// RUNNING means the pod has been bound to a node and all of the containers have been started.
	// At least one container is still running or is in the process of being restarted.
	PodStatus_RUNNING PodStatus_Type = 1
	// SUCCEEDED means that all containers in the pod have voluntarily terminated
	// with a container exit code of 0, and the system is not going to restart any of these containers.
	PodStatus_SUCCEEDED PodStatus_Type = 2
	// FAILED means that all containers in the pod have terminated, and at least one container has
	// terminated in a failure (exited with a non-zero exit code or was stopped by the system).
	PodStatus_FAILED PodStatus_Type = 3
	// UNKNOWN means that for some reason the state of the pod could not be obtained, typically due
	// to an error in communicating with the host of the pod.
	PodStatus_UNKNOWN    PodStatus_Type = 4
	PodStatus_TEMINATING PodStatus_Type = 5
	PodStatus_ABNORMAL   PodStatus_Type = 6
	PodStatus_INITIATING PodStatus_Type = 7
	PodStatus_SCHEDULING PodStatus_Type = 8
	PodStatus_NOTREADY   PodStatus_Type = 9
	PodStatus_UNHEALTHY  PodStatus_Type = 10
)

var PodStatus_Type_name = map[int32]string{
	0:  "PENDING",
	1:  "RUNNING",
	2:  "SUCCEEDED",
	3:  "FAILED",
	4:  "UNKNOWN",
	5:  "TEMINATING",
	6:  "ABNORMAL",
	7:  "INITIATING",
	8:  "SCHEDULING",
	9:  "NOTREADY",
	10: "UNHEALTHY",
}

var PodStatus_Type_value = map[string]int32{
	"PENDING":    0,
	"RUNNING":    1,
	"SUCCEEDED":  2,
	"FAILED":     3,
	"UNKNOWN":    4,
	"TEMINATING": 5,
	"ABNORMAL":   6,
	"INITIATING": 7,
	"SCHEDULING": 8,
	"NOTREADY":   9,
	"UNHEALTHY":  10,
}

func (x PodStatus_Type) String() string {
	return proto.EnumName(PodStatus_Type_name, int32(x))
}

func (PodStatus_Type) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{19, 0}
}

type Empty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Empty) Reset()         { *m = Empty{} }
func (m *Empty) String() string { return proto.CompactTextString(m) }
func (*Empty) ProtoMessage()    {}
func (*Empty) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{0}
}

func (m *Empty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Empty.Unmarshal(m, b)
}
func (m *Empty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Empty.Marshal(b, m, deterministic)
}
func (m *Empty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Empty.Merge(m, src)
}
func (m *Empty) XXX_Size() int {
	return xxx_messageInfo_Empty.Size(m)
}
func (m *Empty) XXX_DiscardUnknown() {
	xxx_messageInfo_Empty.DiscardUnknown(m)
}

var xxx_messageInfo_Empty proto.InternalMessageInfo

type ServiceRequest struct {
	ServiceId            string   `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServiceRequest) Reset()         { *m = ServiceRequest{} }
func (m *ServiceRequest) String() string { return proto.CompactTextString(m) }
func (*ServiceRequest) ProtoMessage()    {}
func (*ServiceRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{1}
}

func (m *ServiceRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceRequest.Unmarshal(m, b)
}
func (m *ServiceRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceRequest.Marshal(b, m, deterministic)
}
func (m *ServiceRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceRequest.Merge(m, src)
}
func (m *ServiceRequest) XXX_Size() int {
	return xxx_messageInfo_ServiceRequest.Size(m)
}
func (m *ServiceRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceRequest proto.InternalMessageInfo

func (m *ServiceRequest) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

type ServicesRequest struct {
	ServiceIds           string   `protobuf:"bytes,1,opt,name=service_ids,json=serviceIds,proto3" json:"service_ids,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ServicesRequest) Reset()         { *m = ServicesRequest{} }
func (m *ServicesRequest) String() string { return proto.CompactTextString(m) }
func (*ServicesRequest) ProtoMessage()    {}
func (*ServicesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{2}
}

func (m *ServicesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServicesRequest.Unmarshal(m, b)
}
func (m *ServicesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServicesRequest.Marshal(b, m, deterministic)
}
func (m *ServicesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServicesRequest.Merge(m, src)
}
func (m *ServicesRequest) XXX_Size() int {
	return xxx_messageInfo_ServicesRequest.Size(m)
}
func (m *ServicesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ServicesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ServicesRequest proto.InternalMessageInfo

func (m *ServicesRequest) GetServiceIds() string {
	if m != nil {
		return m.ServiceIds
	}
	return ""
}

type TenantRequest struct {
	TenantId             string   `protobuf:"bytes,1,opt,name=tenant_id,json=tenantId,proto3" json:"tenant_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TenantRequest) Reset()         { *m = TenantRequest{} }
func (m *TenantRequest) String() string { return proto.CompactTextString(m) }
func (*TenantRequest) ProtoMessage()    {}
func (*TenantRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{3}
}

func (m *TenantRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TenantRequest.Unmarshal(m, b)
}
func (m *TenantRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TenantRequest.Marshal(b, m, deterministic)
}
func (m *TenantRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TenantRequest.Merge(m, src)
}
func (m *TenantRequest) XXX_Size() int {
	return xxx_messageInfo_TenantRequest.Size(m)
}
func (m *TenantRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_TenantRequest.DiscardUnknown(m)
}

var xxx_messageInfo_TenantRequest proto.InternalMessageInfo

func (m *TenantRequest) GetTenantId() string {
	if m != nil {
		return m.TenantId
	}
	return ""
}

type StatusMessage struct {
	Status               map[string]string `protobuf:"bytes,1,rep,name=status,proto3" json:"status,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *StatusMessage) Reset()         { *m = StatusMessage{} }
func (m *StatusMessage) String() string { return proto.CompactTextString(m) }
func (*StatusMessage) ProtoMessage()    {}
func (*StatusMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{4}
}

func (m *StatusMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StatusMessage.Unmarshal(m, b)
}
func (m *StatusMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StatusMessage.Marshal(b, m, deterministic)
}
func (m *StatusMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StatusMessage.Merge(m, src)
}
func (m *StatusMessage) XXX_Size() int {
	return xxx_messageInfo_StatusMessage.Size(m)
}
func (m *StatusMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_StatusMessage.DiscardUnknown(m)
}

var xxx_messageInfo_StatusMessage proto.InternalMessageInfo

func (m *StatusMessage) GetStatus() map[string]string {
	if m != nil {
		return m.Status
	}
	return nil
}

type DiskMessage struct {
	Disks                map[string]float64 `protobuf:"bytes,1,rep,name=disks,proto3" json:"disks,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"fixed64,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *DiskMessage) Reset()         { *m = DiskMessage{} }
func (m *DiskMessage) String() string { return proto.CompactTextString(m) }
func (*DiskMessage) ProtoMessage()    {}
func (*DiskMessage) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{5}
}

func (m *DiskMessage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DiskMessage.Unmarshal(m, b)
}
func (m *DiskMessage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DiskMessage.Marshal(b, m, deterministic)
}
func (m *DiskMessage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DiskMessage.Merge(m, src)
}
func (m *DiskMessage) XXX_Size() int {
	return xxx_messageInfo_DiskMessage.Size(m)
}
func (m *DiskMessage) XXX_DiscardUnknown() {
	xxx_messageInfo_DiskMessage.DiscardUnknown(m)
}

var xxx_messageInfo_DiskMessage proto.InternalMessageInfo

func (m *DiskMessage) GetDisks() map[string]float64 {
	if m != nil {
		return m.Disks
	}
	return nil
}

type ServiceAppPodList struct {
	OldPods              []*ServiceAppPod `protobuf:"bytes,1,rep,name=oldPods,proto3" json:"oldPods,omitempty"`
	NewPods              []*ServiceAppPod `protobuf:"bytes,2,rep,name=newPods,proto3" json:"newPods,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *ServiceAppPodList) Reset()         { *m = ServiceAppPodList{} }
func (m *ServiceAppPodList) String() string { return proto.CompactTextString(m) }
func (*ServiceAppPodList) ProtoMessage()    {}
func (*ServiceAppPodList) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{6}
}

func (m *ServiceAppPodList) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceAppPodList.Unmarshal(m, b)
}
func (m *ServiceAppPodList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceAppPodList.Marshal(b, m, deterministic)
}
func (m *ServiceAppPodList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceAppPodList.Merge(m, src)
}
func (m *ServiceAppPodList) XXX_Size() int {
	return xxx_messageInfo_ServiceAppPodList.Size(m)
}
func (m *ServiceAppPodList) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceAppPodList.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceAppPodList proto.InternalMessageInfo

func (m *ServiceAppPodList) GetOldPods() []*ServiceAppPod {
	if m != nil {
		return m.OldPods
	}
	return nil
}

func (m *ServiceAppPodList) GetNewPods() []*ServiceAppPod {
	if m != nil {
		return m.NewPods
	}
	return nil
}

type ServiceAppPod struct {
	ServiceId            string                `protobuf:"bytes,1,opt,name=service_id,json=serviceId,proto3" json:"service_id,omitempty"`
	DeployId             string                `protobuf:"bytes,2,opt,name=deploy_id,json=deployId,proto3" json:"deploy_id,omitempty"`
	DeployType           string                `protobuf:"bytes,3,opt,name=deploy_type,json=deployType,proto3" json:"deploy_type,omitempty"`
	PodName              string                `protobuf:"bytes,4,opt,name=pod_name,json=podName,proto3" json:"pod_name,omitempty"`
	PodIp                string                `protobuf:"bytes,5,opt,name=pod_ip,json=podIp,proto3" json:"pod_ip,omitempty"`
	PodStatus            string                `protobuf:"bytes,6,opt,name=pod_status,json=podStatus,proto3" json:"pod_status,omitempty"`
	Containers           map[string]*Container `protobuf:"bytes,7,rep,name=containers,proto3" json:"containers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ServiceAppPod) Reset()         { *m = ServiceAppPod{} }
func (m *ServiceAppPod) String() string { return proto.CompactTextString(m) }
func (*ServiceAppPod) ProtoMessage()    {}
func (*ServiceAppPod) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{7}
}

func (m *ServiceAppPod) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ServiceAppPod.Unmarshal(m, b)
}
func (m *ServiceAppPod) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ServiceAppPod.Marshal(b, m, deterministic)
}
func (m *ServiceAppPod) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ServiceAppPod.Merge(m, src)
}
func (m *ServiceAppPod) XXX_Size() int {
	return xxx_messageInfo_ServiceAppPod.Size(m)
}
func (m *ServiceAppPod) XXX_DiscardUnknown() {
	xxx_messageInfo_ServiceAppPod.DiscardUnknown(m)
}

var xxx_messageInfo_ServiceAppPod proto.InternalMessageInfo

func (m *ServiceAppPod) GetServiceId() string {
	if m != nil {
		return m.ServiceId
	}
	return ""
}

func (m *ServiceAppPod) GetDeployId() string {
	if m != nil {
		return m.DeployId
	}
	return ""
}

func (m *ServiceAppPod) GetDeployType() string {
	if m != nil {
		return m.DeployType
	}
	return ""
}

func (m *ServiceAppPod) GetPodName() string {
	if m != nil {
		return m.PodName
	}
	return ""
}

func (m *ServiceAppPod) GetPodIp() string {
	if m != nil {
		return m.PodIp
	}
	return ""
}

func (m *ServiceAppPod) GetPodStatus() string {
	if m != nil {
		return m.PodStatus
	}
	return ""
}

func (m *ServiceAppPod) GetContainers() map[string]*Container {
	if m != nil {
		return m.Containers
	}
	return nil
}

type Container struct {
	ContainerName        string   `protobuf:"bytes,1,opt,name=container_name,json=containerName,proto3" json:"container_name,omitempty"`
	MemoryLimit          int64    `protobuf:"varint,2,opt,name=memory_limit,json=memoryLimit,proto3" json:"memory_limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Container) Reset()         { *m = Container{} }
func (m *Container) String() string { return proto.CompactTextString(m) }
func (*Container) ProtoMessage()    {}
func (*Container) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{8}
}

func (m *Container) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Container.Unmarshal(m, b)
}
func (m *Container) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Container.Marshal(b, m, deterministic)
}
func (m *Container) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Container.Merge(m, src)
}
func (m *Container) XXX_Size() int {
	return xxx_messageInfo_Container.Size(m)
}
func (m *Container) XXX_DiscardUnknown() {
	xxx_messageInfo_Container.DiscardUnknown(m)
}

var xxx_messageInfo_Container proto.InternalMessageInfo

func (m *Container) GetContainerName() string {
	if m != nil {
		return m.ContainerName
	}
	return ""
}

func (m *Container) GetMemoryLimit() int64 {
	if m != nil {
		return m.MemoryLimit
	}
	return 0
}

type DeployInfo struct {
	Namespace            string            `protobuf:"bytes,1,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Statefuleset         string            `protobuf:"bytes,2,opt,name=statefuleset,proto3" json:"statefuleset,omitempty"`
	Deployment           string            `protobuf:"bytes,3,opt,name=deployment,proto3" json:"deployment,omitempty"`
	StartTime            string            `protobuf:"bytes,4,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	Pods                 map[string]string `protobuf:"bytes,5,rep,name=pods,proto3" json:"pods,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Services             map[string]string `protobuf:"bytes,6,rep,name=services,proto3" json:"services,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Endpoints            map[string]string `protobuf:"bytes,7,rep,name=endpoints,proto3" json:"endpoints,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Secrets              map[string]string `protobuf:"bytes,8,rep,name=secrets,proto3" json:"secrets,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Ingresses            map[string]string `protobuf:"bytes,9,rep,name=ingresses,proto3" json:"ingresses,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Replicatset          map[string]string `protobuf:"bytes,10,rep,name=replicatset,proto3" json:"replicatset,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Status               string            `protobuf:"bytes,11,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *DeployInfo) Reset()         { *m = DeployInfo{} }
func (m *DeployInfo) String() string { return proto.CompactTextString(m) }
func (*DeployInfo) ProtoMessage()    {}
func (*DeployInfo) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{9}
}

func (m *DeployInfo) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeployInfo.Unmarshal(m, b)
}
func (m *DeployInfo) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeployInfo.Marshal(b, m, deterministic)
}
func (m *DeployInfo) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeployInfo.Merge(m, src)
}
func (m *DeployInfo) XXX_Size() int {
	return xxx_messageInfo_DeployInfo.Size(m)
}
func (m *DeployInfo) XXX_DiscardUnknown() {
	xxx_messageInfo_DeployInfo.DiscardUnknown(m)
}

var xxx_messageInfo_DeployInfo proto.InternalMessageInfo

func (m *DeployInfo) GetNamespace() string {
	if m != nil {
		return m.Namespace
	}
	return ""
}

func (m *DeployInfo) GetStatefuleset() string {
	if m != nil {
		return m.Statefuleset
	}
	return ""
}

func (m *DeployInfo) GetDeployment() string {
	if m != nil {
		return m.Deployment
	}
	return ""
}

func (m *DeployInfo) GetStartTime() string {
	if m != nil {
		return m.StartTime
	}
	return ""
}

func (m *DeployInfo) GetPods() map[string]string {
	if m != nil {
		return m.Pods
	}
	return nil
}

func (m *DeployInfo) GetServices() map[string]string {
	if m != nil {
		return m.Services
	}
	return nil
}

func (m *DeployInfo) GetEndpoints() map[string]string {
	if m != nil {
		return m.Endpoints
	}
	return nil
}

func (m *DeployInfo) GetSecrets() map[string]string {
	if m != nil {
		return m.Secrets
	}
	return nil
}

func (m *DeployInfo) GetIngresses() map[string]string {
	if m != nil {
		return m.Ingresses
	}
	return nil
}

func (m *DeployInfo) GetReplicatset() map[string]string {
	if m != nil {
		return m.Replicatset
	}
	return nil
}

func (m *DeployInfo) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type TenantResource struct {
	CpuRequest            int64    `protobuf:"varint,1,opt,name=cpu_request,json=cpuRequest,proto3" json:"cpu_request,omitempty"`
	CpuLimit              int64    `protobuf:"varint,2,opt,name=cpu_limit,json=cpuLimit,proto3" json:"cpu_limit,omitempty"`
	MemoryRequest         int64    `protobuf:"varint,3,opt,name=memory_request,json=memoryRequest,proto3" json:"memory_request,omitempty"`
	MemoryLimit           int64    `protobuf:"varint,4,opt,name=memory_limit,json=memoryLimit,proto3" json:"memory_limit,omitempty"`
	RunningAppNum         int64    `protobuf:"varint,5,opt,name=running_app_num,json=runningAppNum,proto3" json:"running_app_num,omitempty"`
	UnscdCpuReq           int64    `protobuf:"varint,6,opt,name=unscd_cpu_req,json=unscdCpuReq,proto3" json:"unscd_cpu_req,omitempty"`
	UnscdCpuLimit         int64    `protobuf:"varint,7,opt,name=unscd_cpu_limit,json=unscdCpuLimit,proto3" json:"unscd_cpu_limit,omitempty"`
	UnscdMemoryReq        int64    `protobuf:"varint,8,opt,name=unscd_memory_req,json=unscdMemoryReq,proto3" json:"unscd_memory_req,omitempty"`
	UnscdMemoryLimit      int64    `protobuf:"varint,9,opt,name=unscd_memory_limit,json=unscdMemoryLimit,proto3" json:"unscd_memory_limit,omitempty"`
	RunningAppThirdNum    int64    `protobuf:"varint,10,opt,name=running_app_third_num,json=runningAppThirdNum,proto3" json:"running_app_third_num,omitempty"`
	RunningAppInternalNum int64    `protobuf:"varint,11,opt,name=running_app_internal_num,json=runningAppInternalNum,proto3" json:"running_app_internal_num,omitempty"`
	XXX_NoUnkeyedLiteral  struct{} `json:"-"`
	XXX_unrecognized      []byte   `json:"-"`
	XXX_sizecache         int32    `json:"-"`
}

func (m *TenantResource) Reset()         { *m = TenantResource{} }
func (m *TenantResource) String() string { return proto.CompactTextString(m) }
func (*TenantResource) ProtoMessage()    {}
func (*TenantResource) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{10}
}

func (m *TenantResource) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TenantResource.Unmarshal(m, b)
}
func (m *TenantResource) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TenantResource.Marshal(b, m, deterministic)
}
func (m *TenantResource) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TenantResource.Merge(m, src)
}
func (m *TenantResource) XXX_Size() int {
	return xxx_messageInfo_TenantResource.Size(m)
}
func (m *TenantResource) XXX_DiscardUnknown() {
	xxx_messageInfo_TenantResource.DiscardUnknown(m)
}

var xxx_messageInfo_TenantResource proto.InternalMessageInfo

func (m *TenantResource) GetCpuRequest() int64 {
	if m != nil {
		return m.CpuRequest
	}
	return 0
}

func (m *TenantResource) GetCpuLimit() int64 {
	if m != nil {
		return m.CpuLimit
	}
	return 0
}

func (m *TenantResource) GetMemoryRequest() int64 {
	if m != nil {
		return m.MemoryRequest
	}
	return 0
}

func (m *TenantResource) GetMemoryLimit() int64 {
	if m != nil {
		return m.MemoryLimit
	}
	return 0
}

func (m *TenantResource) GetRunningAppNum() int64 {
	if m != nil {
		return m.RunningAppNum
	}
	return 0
}

func (m *TenantResource) GetUnscdCpuReq() int64 {
	if m != nil {
		return m.UnscdCpuReq
	}
	return 0
}

func (m *TenantResource) GetUnscdCpuLimit() int64 {
	if m != nil {
		return m.UnscdCpuLimit
	}
	return 0
}

func (m *TenantResource) GetUnscdMemoryReq() int64 {
	if m != nil {
		return m.UnscdMemoryReq
	}
	return 0
}

func (m *TenantResource) GetUnscdMemoryLimit() int64 {
	if m != nil {
		return m.UnscdMemoryLimit
	}
	return 0
}

func (m *TenantResource) GetRunningAppThirdNum() int64 {
	if m != nil {
		return m.RunningAppThirdNum
	}
	return 0
}

func (m *TenantResource) GetRunningAppInternalNum() int64 {
	if m != nil {
		return m.RunningAppInternalNum
	}
	return 0
}

type AddThirdPartyEndpointsReq struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Sid                  string   `protobuf:"bytes,2,opt,name=sid,proto3" json:"sid,omitempty"`
	Ip                   string   `protobuf:"bytes,3,opt,name=ip,proto3" json:"ip,omitempty"`
	Port                 int32    `protobuf:"varint,4,opt,name=port,proto3" json:"port,omitempty"`
	IsOnline             bool     `protobuf:"varint,5,opt,name=is_online,json=isOnline,proto3" json:"is_online,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddThirdPartyEndpointsReq) Reset()         { *m = AddThirdPartyEndpointsReq{} }
func (m *AddThirdPartyEndpointsReq) String() string { return proto.CompactTextString(m) }
func (*AddThirdPartyEndpointsReq) ProtoMessage()    {}
func (*AddThirdPartyEndpointsReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{11}
}

func (m *AddThirdPartyEndpointsReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddThirdPartyEndpointsReq.Unmarshal(m, b)
}
func (m *AddThirdPartyEndpointsReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddThirdPartyEndpointsReq.Marshal(b, m, deterministic)
}
func (m *AddThirdPartyEndpointsReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddThirdPartyEndpointsReq.Merge(m, src)
}
func (m *AddThirdPartyEndpointsReq) XXX_Size() int {
	return xxx_messageInfo_AddThirdPartyEndpointsReq.Size(m)
}
func (m *AddThirdPartyEndpointsReq) XXX_DiscardUnknown() {
	xxx_messageInfo_AddThirdPartyEndpointsReq.DiscardUnknown(m)
}

var xxx_messageInfo_AddThirdPartyEndpointsReq proto.InternalMessageInfo

func (m *AddThirdPartyEndpointsReq) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *AddThirdPartyEndpointsReq) GetSid() string {
	if m != nil {
		return m.Sid
	}
	return ""
}

func (m *AddThirdPartyEndpointsReq) GetIp() string {
	if m != nil {
		return m.Ip
	}
	return ""
}

func (m *AddThirdPartyEndpointsReq) GetPort() int32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *AddThirdPartyEndpointsReq) GetIsOnline() bool {
	if m != nil {
		return m.IsOnline
	}
	return false
}

type UpdThirdPartyEndpointsReq struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Sid                  string   `protobuf:"bytes,2,opt,name=sid,proto3" json:"sid,omitempty"`
	Ip                   string   `protobuf:"bytes,3,opt,name=ip,proto3" json:"ip,omitempty"`
	Port                 int32    `protobuf:"varint,4,opt,name=port,proto3" json:"port,omitempty"`
	IsOnline             bool     `protobuf:"varint,5,opt,name=is_online,json=isOnline,proto3" json:"is_online,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdThirdPartyEndpointsReq) Reset()         { *m = UpdThirdPartyEndpointsReq{} }
func (m *UpdThirdPartyEndpointsReq) String() string { return proto.CompactTextString(m) }
func (*UpdThirdPartyEndpointsReq) ProtoMessage()    {}
func (*UpdThirdPartyEndpointsReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{12}
}

func (m *UpdThirdPartyEndpointsReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdThirdPartyEndpointsReq.Unmarshal(m, b)
}
func (m *UpdThirdPartyEndpointsReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdThirdPartyEndpointsReq.Marshal(b, m, deterministic)
}
func (m *UpdThirdPartyEndpointsReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdThirdPartyEndpointsReq.Merge(m, src)
}
func (m *UpdThirdPartyEndpointsReq) XXX_Size() int {
	return xxx_messageInfo_UpdThirdPartyEndpointsReq.Size(m)
}
func (m *UpdThirdPartyEndpointsReq) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdThirdPartyEndpointsReq.DiscardUnknown(m)
}

var xxx_messageInfo_UpdThirdPartyEndpointsReq proto.InternalMessageInfo

func (m *UpdThirdPartyEndpointsReq) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *UpdThirdPartyEndpointsReq) GetSid() string {
	if m != nil {
		return m.Sid
	}
	return ""
}

func (m *UpdThirdPartyEndpointsReq) GetIp() string {
	if m != nil {
		return m.Ip
	}
	return ""
}

func (m *UpdThirdPartyEndpointsReq) GetPort() int32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *UpdThirdPartyEndpointsReq) GetIsOnline() bool {
	if m != nil {
		return m.IsOnline
	}
	return false
}

type DelThirdPartyEndpointsReq struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Sid                  string   `protobuf:"bytes,2,opt,name=sid,proto3" json:"sid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DelThirdPartyEndpointsReq) Reset()         { *m = DelThirdPartyEndpointsReq{} }
func (m *DelThirdPartyEndpointsReq) String() string { return proto.CompactTextString(m) }
func (*DelThirdPartyEndpointsReq) ProtoMessage()    {}
func (*DelThirdPartyEndpointsReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{13}
}

func (m *DelThirdPartyEndpointsReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DelThirdPartyEndpointsReq.Unmarshal(m, b)
}
func (m *DelThirdPartyEndpointsReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DelThirdPartyEndpointsReq.Marshal(b, m, deterministic)
}
func (m *DelThirdPartyEndpointsReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DelThirdPartyEndpointsReq.Merge(m, src)
}
func (m *DelThirdPartyEndpointsReq) XXX_Size() int {
	return xxx_messageInfo_DelThirdPartyEndpointsReq.Size(m)
}
func (m *DelThirdPartyEndpointsReq) XXX_DiscardUnknown() {
	xxx_messageInfo_DelThirdPartyEndpointsReq.DiscardUnknown(m)
}

var xxx_messageInfo_DelThirdPartyEndpointsReq proto.InternalMessageInfo

func (m *DelThirdPartyEndpointsReq) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *DelThirdPartyEndpointsReq) GetSid() string {
	if m != nil {
		return m.Sid
	}
	return ""
}

type ThirdPartyEndpoint struct {
	Uuid                 string   `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Sid                  string   `protobuf:"bytes,2,opt,name=sid,proto3" json:"sid,omitempty"`
	Ip                   string   `protobuf:"bytes,3,opt,name=ip,proto3" json:"ip,omitempty"`
	Port                 int32    `protobuf:"varint,4,opt,name=port,proto3" json:"port,omitempty"`
	Status               string   `protobuf:"bytes,5,opt,name=status,proto3" json:"status,omitempty"`
	IsOnline             bool     `protobuf:"varint,6,opt,name=is_online,json=isOnline,proto3" json:"is_online,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ThirdPartyEndpoint) Reset()         { *m = ThirdPartyEndpoint{} }
func (m *ThirdPartyEndpoint) String() string { return proto.CompactTextString(m) }
func (*ThirdPartyEndpoint) ProtoMessage()    {}
func (*ThirdPartyEndpoint) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{14}
}

func (m *ThirdPartyEndpoint) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ThirdPartyEndpoint.Unmarshal(m, b)
}
func (m *ThirdPartyEndpoint) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ThirdPartyEndpoint.Marshal(b, m, deterministic)
}
func (m *ThirdPartyEndpoint) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ThirdPartyEndpoint.Merge(m, src)
}
func (m *ThirdPartyEndpoint) XXX_Size() int {
	return xxx_messageInfo_ThirdPartyEndpoint.Size(m)
}
func (m *ThirdPartyEndpoint) XXX_DiscardUnknown() {
	xxx_messageInfo_ThirdPartyEndpoint.DiscardUnknown(m)
}

var xxx_messageInfo_ThirdPartyEndpoint proto.InternalMessageInfo

func (m *ThirdPartyEndpoint) GetUuid() string {
	if m != nil {
		return m.Uuid
	}
	return ""
}

func (m *ThirdPartyEndpoint) GetSid() string {
	if m != nil {
		return m.Sid
	}
	return ""
}

func (m *ThirdPartyEndpoint) GetIp() string {
	if m != nil {
		return m.Ip
	}
	return ""
}

func (m *ThirdPartyEndpoint) GetPort() int32 {
	if m != nil {
		return m.Port
	}
	return 0
}

func (m *ThirdPartyEndpoint) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *ThirdPartyEndpoint) GetIsOnline() bool {
	if m != nil {
		return m.IsOnline
	}
	return false
}

type ThirdPartyEndpoints struct {
	Obj                  []*ThirdPartyEndpoint `protobuf:"bytes,1,rep,name=obj,proto3" json:"obj,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ThirdPartyEndpoints) Reset()         { *m = ThirdPartyEndpoints{} }
func (m *ThirdPartyEndpoints) String() string { return proto.CompactTextString(m) }
func (*ThirdPartyEndpoints) ProtoMessage()    {}
func (*ThirdPartyEndpoints) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{15}
}

func (m *ThirdPartyEndpoints) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ThirdPartyEndpoints.Unmarshal(m, b)
}
func (m *ThirdPartyEndpoints) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ThirdPartyEndpoints.Marshal(b, m, deterministic)
}
func (m *ThirdPartyEndpoints) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ThirdPartyEndpoints.Merge(m, src)
}
func (m *ThirdPartyEndpoints) XXX_Size() int {
	return xxx_messageInfo_ThirdPartyEndpoints.Size(m)
}
func (m *ThirdPartyEndpoints) XXX_DiscardUnknown() {
	xxx_messageInfo_ThirdPartyEndpoints.DiscardUnknown(m)
}

var xxx_messageInfo_ThirdPartyEndpoints proto.InternalMessageInfo

func (m *ThirdPartyEndpoints) GetObj() []*ThirdPartyEndpoint {
	if m != nil {
		return m.Obj
	}
	return nil
}

type ListPodsBySIDReq struct {
	Sid                  string   `protobuf:"bytes,1,opt,name=sid,proto3" json:"sid,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ListPodsBySIDReq) Reset()         { *m = ListPodsBySIDReq{} }
func (m *ListPodsBySIDReq) String() string { return proto.CompactTextString(m) }
func (*ListPodsBySIDReq) ProtoMessage()    {}
func (*ListPodsBySIDReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{16}
}

func (m *ListPodsBySIDReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListPodsBySIDReq.Unmarshal(m, b)
}
func (m *ListPodsBySIDReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListPodsBySIDReq.Marshal(b, m, deterministic)
}
func (m *ListPodsBySIDReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListPodsBySIDReq.Merge(m, src)
}
func (m *ListPodsBySIDReq) XXX_Size() int {
	return xxx_messageInfo_ListPodsBySIDReq.Size(m)
}
func (m *ListPodsBySIDReq) XXX_DiscardUnknown() {
	xxx_messageInfo_ListPodsBySIDReq.DiscardUnknown(m)
}

var xxx_messageInfo_ListPodsBySIDReq proto.InternalMessageInfo

func (m *ListPodsBySIDReq) GetSid() string {
	if m != nil {
		return m.Sid
	}
	return ""
}

type GetPodDetailReq struct {
	Sid                  string   `protobuf:"bytes,1,opt,name=sid,proto3" json:"sid,omitempty"`
	PodName              string   `protobuf:"bytes,2,opt,name=pod_name,json=podName,proto3" json:"pod_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetPodDetailReq) Reset()         { *m = GetPodDetailReq{} }
func (m *GetPodDetailReq) String() string { return proto.CompactTextString(m) }
func (*GetPodDetailReq) ProtoMessage()    {}
func (*GetPodDetailReq) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{17}
}

func (m *GetPodDetailReq) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetPodDetailReq.Unmarshal(m, b)
}
func (m *GetPodDetailReq) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetPodDetailReq.Marshal(b, m, deterministic)
}
func (m *GetPodDetailReq) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetPodDetailReq.Merge(m, src)
}
func (m *GetPodDetailReq) XXX_Size() int {
	return xxx_messageInfo_GetPodDetailReq.Size(m)
}
func (m *GetPodDetailReq) XXX_DiscardUnknown() {
	xxx_messageInfo_GetPodDetailReq.DiscardUnknown(m)
}

var xxx_messageInfo_GetPodDetailReq proto.InternalMessageInfo

func (m *GetPodDetailReq) GetSid() string {
	if m != nil {
		return m.Sid
	}
	return ""
}

func (m *GetPodDetailReq) GetPodName() string {
	if m != nil {
		return m.PodName
	}
	return ""
}

type PodEvent struct {
	Type                 string   `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Reason               string   `protobuf:"bytes,2,opt,name=reason,proto3" json:"reason,omitempty"`
	Age                  string   `protobuf:"bytes,3,opt,name=age,proto3" json:"age,omitempty"`
	Message              string   `protobuf:"bytes,5,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PodEvent) Reset()         { *m = PodEvent{} }
func (m *PodEvent) String() string { return proto.CompactTextString(m) }
func (*PodEvent) ProtoMessage()    {}
func (*PodEvent) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{18}
}

func (m *PodEvent) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PodEvent.Unmarshal(m, b)
}
func (m *PodEvent) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PodEvent.Marshal(b, m, deterministic)
}
func (m *PodEvent) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PodEvent.Merge(m, src)
}
func (m *PodEvent) XXX_Size() int {
	return xxx_messageInfo_PodEvent.Size(m)
}
func (m *PodEvent) XXX_DiscardUnknown() {
	xxx_messageInfo_PodEvent.DiscardUnknown(m)
}

var xxx_messageInfo_PodEvent proto.InternalMessageInfo

func (m *PodEvent) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *PodEvent) GetReason() string {
	if m != nil {
		return m.Reason
	}
	return ""
}

func (m *PodEvent) GetAge() string {
	if m != nil {
		return m.Age
	}
	return ""
}

func (m *PodEvent) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type PodStatus struct {
	Type                 PodStatus_Type `protobuf:"varint,1,opt,name=type,proto3,enum=pb.PodStatus_Type" json:"type,omitempty"`
	Reason               string         `protobuf:"bytes,2,opt,name=reason,proto3" json:"reason,omitempty"`
	Message              string         `protobuf:"bytes,3,opt,name=message,proto3" json:"message,omitempty"`
	Advice               string         `protobuf:"bytes,4,opt,name=advice,proto3" json:"advice,omitempty"`
	TypeStr              string         `protobuf:"bytes,5,opt,name=type_str,json=typeStr,proto3" json:"type_str,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *PodStatus) Reset()         { *m = PodStatus{} }
func (m *PodStatus) String() string { return proto.CompactTextString(m) }
func (*PodStatus) ProtoMessage()    {}
func (*PodStatus) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{19}
}

func (m *PodStatus) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PodStatus.Unmarshal(m, b)
}
func (m *PodStatus) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PodStatus.Marshal(b, m, deterministic)
}
func (m *PodStatus) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PodStatus.Merge(m, src)
}
func (m *PodStatus) XXX_Size() int {
	return xxx_messageInfo_PodStatus.Size(m)
}
func (m *PodStatus) XXX_DiscardUnknown() {
	xxx_messageInfo_PodStatus.DiscardUnknown(m)
}

var xxx_messageInfo_PodStatus proto.InternalMessageInfo

func (m *PodStatus) GetType() PodStatus_Type {
	if m != nil {
		return m.Type
	}
	return PodStatus_PENDING
}

func (m *PodStatus) GetReason() string {
	if m != nil {
		return m.Reason
	}
	return ""
}

func (m *PodStatus) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *PodStatus) GetAdvice() string {
	if m != nil {
		return m.Advice
	}
	return ""
}

func (m *PodStatus) GetTypeStr() string {
	if m != nil {
		return m.TypeStr
	}
	return ""
}

type PodContainer struct {
	Image                string   `protobuf:"bytes,1,opt,name=image,proto3" json:"image,omitempty"`
	State                string   `protobuf:"bytes,2,opt,name=state,proto3" json:"state,omitempty"`
	Reason               string   `protobuf:"bytes,3,opt,name=reason,proto3" json:"reason,omitempty"`
	Started              string   `protobuf:"bytes,4,opt,name=started,proto3" json:"started,omitempty"`
	LimitMemory          string   `protobuf:"bytes,5,opt,name=limit_memory,json=limitMemory,proto3" json:"limit_memory,omitempty"`
	LimitCpu             string   `protobuf:"bytes,6,opt,name=limit_cpu,json=limitCpu,proto3" json:"limit_cpu,omitempty"`
	RequestMemory        string   `protobuf:"bytes,7,opt,name=request_memory,json=requestMemory,proto3" json:"request_memory,omitempty"`
	RequestCpu           string   `protobuf:"bytes,8,opt,name=request_cpu,json=requestCpu,proto3" json:"request_cpu,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *PodContainer) Reset()         { *m = PodContainer{} }
func (m *PodContainer) String() string { return proto.CompactTextString(m) }
func (*PodContainer) ProtoMessage()    {}
func (*PodContainer) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{20}
}

func (m *PodContainer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PodContainer.Unmarshal(m, b)
}
func (m *PodContainer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PodContainer.Marshal(b, m, deterministic)
}
func (m *PodContainer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PodContainer.Merge(m, src)
}
func (m *PodContainer) XXX_Size() int {
	return xxx_messageInfo_PodContainer.Size(m)
}
func (m *PodContainer) XXX_DiscardUnknown() {
	xxx_messageInfo_PodContainer.DiscardUnknown(m)
}

var xxx_messageInfo_PodContainer proto.InternalMessageInfo

func (m *PodContainer) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

func (m *PodContainer) GetState() string {
	if m != nil {
		return m.State
	}
	return ""
}

func (m *PodContainer) GetReason() string {
	if m != nil {
		return m.Reason
	}
	return ""
}

func (m *PodContainer) GetStarted() string {
	if m != nil {
		return m.Started
	}
	return ""
}

func (m *PodContainer) GetLimitMemory() string {
	if m != nil {
		return m.LimitMemory
	}
	return ""
}

func (m *PodContainer) GetLimitCpu() string {
	if m != nil {
		return m.LimitCpu
	}
	return ""
}

func (m *PodContainer) GetRequestMemory() string {
	if m != nil {
		return m.RequestMemory
	}
	return ""
}

func (m *PodContainer) GetRequestCpu() string {
	if m != nil {
		return m.RequestCpu
	}
	return ""
}

type PodDetail struct {
	Name                 string          `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Node                 string          `protobuf:"bytes,2,opt,name=node,proto3" json:"node,omitempty"`
	StartTime            string          `protobuf:"bytes,3,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	Status               *PodStatus      `protobuf:"bytes,4,opt,name=status,proto3" json:"status,omitempty"`
	Ip                   string          `protobuf:"bytes,5,opt,name=ip,proto3" json:"ip,omitempty"`
	NodeIp               string          `protobuf:"bytes,6,opt,name=node_ip,json=nodeIp,proto3" json:"node_ip,omitempty"`
	Version              string          `protobuf:"bytes,7,opt,name=version,proto3" json:"version,omitempty"`
	InitContainers       []*PodContainer `protobuf:"bytes,8,rep,name=init_containers,json=initContainers,proto3" json:"init_containers,omitempty"`
	Containers           []*PodContainer `protobuf:"bytes,9,rep,name=containers,proto3" json:"containers,omitempty"`
	Events               []*PodEvent     `protobuf:"bytes,10,rep,name=events,proto3" json:"events,omitempty"`
	XXX_NoUnkeyedLiteral struct{}        `json:"-"`
	XXX_unrecognized     []byte          `json:"-"`
	XXX_sizecache        int32           `json:"-"`
}

func (m *PodDetail) Reset()         { *m = PodDetail{} }
func (m *PodDetail) String() string { return proto.CompactTextString(m) }
func (*PodDetail) ProtoMessage()    {}
func (*PodDetail) Descriptor() ([]byte, []int) {
	return fileDescriptor_f94cf1a886c479d6, []int{21}
}

func (m *PodDetail) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_PodDetail.Unmarshal(m, b)
}
func (m *PodDetail) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_PodDetail.Marshal(b, m, deterministic)
}
func (m *PodDetail) XXX_Merge(src proto.Message) {
	xxx_messageInfo_PodDetail.Merge(m, src)
}
func (m *PodDetail) XXX_Size() int {
	return xxx_messageInfo_PodDetail.Size(m)
}
func (m *PodDetail) XXX_DiscardUnknown() {
	xxx_messageInfo_PodDetail.DiscardUnknown(m)
}

var xxx_messageInfo_PodDetail proto.InternalMessageInfo

func (m *PodDetail) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *PodDetail) GetNode() string {
	if m != nil {
		return m.Node
	}
	return ""
}

func (m *PodDetail) GetStartTime() string {
	if m != nil {
		return m.StartTime
	}
	return ""
}

func (m *PodDetail) GetStatus() *PodStatus {
	if m != nil {
		return m.Status
	}
	return nil
}

func (m *PodDetail) GetIp() string {
	if m != nil {
		return m.Ip
	}
	return ""
}

func (m *PodDetail) GetNodeIp() string {
	if m != nil {
		return m.NodeIp
	}
	return ""
}

func (m *PodDetail) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *PodDetail) GetInitContainers() []*PodContainer {
	if m != nil {
		return m.InitContainers
	}
	return nil
}

func (m *PodDetail) GetContainers() []*PodContainer {
	if m != nil {
		return m.Containers
	}
	return nil
}

func (m *PodDetail) GetEvents() []*PodEvent {
	if m != nil {
		return m.Events
	}
	return nil
}

func init() {
	proto.RegisterEnum("pb.PodStatus_Type", PodStatus_Type_name, PodStatus_Type_value)
	proto.RegisterType((*Empty)(nil), "pb.Empty")
	proto.RegisterType((*ServiceRequest)(nil), "pb.ServiceRequest")
	proto.RegisterType((*ServicesRequest)(nil), "pb.ServicesRequest")
	proto.RegisterType((*TenantRequest)(nil), "pb.TenantRequest")
	proto.RegisterType((*StatusMessage)(nil), "pb.StatusMessage")
	proto.RegisterMapType((map[string]string)(nil), "pb.StatusMessage.StatusEntry")
	proto.RegisterType((*DiskMessage)(nil), "pb.DiskMessage")
	proto.RegisterMapType((map[string]float64)(nil), "pb.DiskMessage.DisksEntry")
	proto.RegisterType((*ServiceAppPodList)(nil), "pb.ServiceAppPodList")
	proto.RegisterType((*ServiceAppPod)(nil), "pb.ServiceAppPod")
	proto.RegisterMapType((map[string]*Container)(nil), "pb.ServiceAppPod.ContainersEntry")
	proto.RegisterType((*Container)(nil), "pb.Container")
	proto.RegisterType((*DeployInfo)(nil), "pb.DeployInfo")
	proto.RegisterMapType((map[string]string)(nil), "pb.DeployInfo.EndpointsEntry")
	proto.RegisterMapType((map[string]string)(nil), "pb.DeployInfo.IngressesEntry")
	proto.RegisterMapType((map[string]string)(nil), "pb.DeployInfo.PodsEntry")
	proto.RegisterMapType((map[string]string)(nil), "pb.DeployInfo.ReplicatsetEntry")
	proto.RegisterMapType((map[string]string)(nil), "pb.DeployInfo.SecretsEntry")
	proto.RegisterMapType((map[string]string)(nil), "pb.DeployInfo.ServicesEntry")
	proto.RegisterType((*TenantResource)(nil), "pb.TenantResource")
	proto.RegisterType((*AddThirdPartyEndpointsReq)(nil), "pb.AddThirdPartyEndpointsReq")
	proto.RegisterType((*UpdThirdPartyEndpointsReq)(nil), "pb.UpdThirdPartyEndpointsReq")
	proto.RegisterType((*DelThirdPartyEndpointsReq)(nil), "pb.DelThirdPartyEndpointsReq")
	proto.RegisterType((*ThirdPartyEndpoint)(nil), "pb.ThirdPartyEndpoint")
	proto.RegisterType((*ThirdPartyEndpoints)(nil), "pb.ThirdPartyEndpoints")
	proto.RegisterType((*ListPodsBySIDReq)(nil), "pb.ListPodsBySIDReq")
	proto.RegisterType((*GetPodDetailReq)(nil), "pb.GetPodDetailReq")
	proto.RegisterType((*PodEvent)(nil), "pb.PodEvent")
	proto.RegisterType((*PodStatus)(nil), "pb.PodStatus")
	proto.RegisterType((*PodContainer)(nil), "pb.PodContainer")
	proto.RegisterType((*PodDetail)(nil), "pb.PodDetail")
}

func init() { proto.RegisterFile("app_runtime_server.proto", fileDescriptor_f94cf1a886c479d6) }

var fileDescriptor_f94cf1a886c479d6 = []byte{
	// 1665 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xc4, 0x58, 0xdd, 0x6e, 0x1b, 0x45,
	0x14, 0x8e, 0xff, 0xed, 0xe3, 0xd8, 0x71, 0xa6, 0x4d, 0xeb, 0xba, 0x2d, 0x6d, 0x97, 0xb6, 0x8a,
	0x44, 0x15, 0x4a, 0xa0, 0x6a, 0xfa, 0xa3, 0x22, 0xd7, 0x36, 0x89, 0x45, 0xe2, 0x44, 0x1b, 0x47,
	0xa8, 0x57, 0xd6, 0xc6, 0x3b, 0x0d, 0x4b, 0xbd, 0xbb, 0xc3, 0xce, 0x6e, 0x90, 0x2f, 0xe1, 0x15,
	0x78, 0x04, 0xde, 0x83, 0x7b, 0x6e, 0x80, 0x37, 0xe1, 0x86, 0x07, 0x40, 0x67, 0x7e, 0x76, 0xd7,
	0x3f, 0x51, 0x09, 0x20, 0x71, 0xb7, 0x73, 0xe6, 0xfb, 0xce, 0x99, 0x73, 0x66, 0xe6, 0x9c, 0x33,
	0x0b, 0x4d, 0x8b, 0xb1, 0x51, 0x10, 0x79, 0xa1, 0xe3, 0xd2, 0x11, 0xa7, 0xc1, 0x39, 0x0d, 0xb6,
	0x58, 0xe0, 0x87, 0x3e, 0xc9, 0xb2, 0x53, 0xa3, 0x04, 0x85, 0x9e, 0xcb, 0xc2, 0xa9, 0xf1, 0x31,
	0xd4, 0x8f, 0x69, 0x70, 0xee, 0x8c, 0xa9, 0x49, 0xbf, 0x8d, 0x28, 0x0f, 0xc9, 0x6d, 0x00, 0x2e,
	0x25, 0x23, 0xc7, 0x6e, 0x66, 0xee, 0x66, 0x36, 0x2b, 0x66, 0x45, 0x49, 0xfa, 0xb6, 0xb1, 0x0d,
	0x6b, 0x8a, 0xc0, 0x35, 0xe3, 0x0e, 0x54, 0x13, 0x06, 0x57, 0x14, 0x88, 0x29, 0xdc, 0x78, 0x04,
	0xb5, 0x21, 0xf5, 0x2c, 0x2f, 0xd4, 0x8c, 0x9b, 0x50, 0x09, 0x85, 0x20, 0x31, 0x51, 0x96, 0x82,
	0xbe, 0x6d, 0x7c, 0x9f, 0x81, 0xda, 0x71, 0x68, 0x85, 0x11, 0x3f, 0xa0, 0x9c, 0x5b, 0x67, 0x94,
	0x3c, 0x81, 0x22, 0x17, 0x82, 0x66, 0xe6, 0x6e, 0x6e, 0xb3, 0xba, 0x7d, 0x7b, 0x8b, 0x9d, 0x6e,
	0xcd, 0x40, 0xd4, 0xa8, 0xe7, 0x85, 0xc1, 0xd4, 0x54, 0xe0, 0xd6, 0x33, 0xa8, 0xa6, 0xc4, 0xa4,
	0x01, 0xb9, 0x77, 0x74, 0xaa, 0xcc, 0xe1, 0x27, 0xb9, 0x0a, 0x85, 0x73, 0x6b, 0x12, 0xd1, 0x66,
	0x56, 0xc8, 0xe4, 0xe0, 0x79, 0x76, 0x27, 0x63, 0x4c, 0xa1, 0xda, 0x75, 0xf8, 0x3b, 0xbd, 0x80,
	0xc7, 0x50, 0xb0, 0x1d, 0xfe, 0x4e, 0xdb, 0x6f, 0xa1, 0xfd, 0xd4, 0xbc, 0xf8, 0x56, 0xc6, 0x25,
	0xb0, 0xb5, 0x03, 0x90, 0x08, 0xdf, 0x67, 0x3a, 0x93, 0x36, 0xed, 0xc2, 0xba, 0x0a, 0x70, 0x9b,
	0xb1, 0x23, 0xdf, 0xde, 0x77, 0x78, 0x48, 0x3e, 0x82, 0x92, 0x3f, 0xb1, 0x8f, 0x7c, 0x5b, 0x2f,
	0x61, 0x5d, 0x84, 0x20, 0x8d, 0x33, 0x35, 0x02, 0xc1, 0x1e, 0xfd, 0x4e, 0x80, 0xb3, 0x17, 0x82,
	0x15, 0xc2, 0xf8, 0x35, 0x0b, 0xb5, 0x99, 0xa9, 0xf7, 0x1c, 0x00, 0xdc, 0x3b, 0x9b, 0xb2, 0x89,
	0x3f, 0xc5, 0x59, 0x19, 0xb8, 0xb2, 0x14, 0xf4, 0x6d, 0x3c, 0x0a, 0x6a, 0x32, 0x9c, 0x32, 0xda,
	0xcc, 0xc9, 0xa3, 0x20, 0x45, 0xc3, 0x29, 0xa3, 0xe4, 0x06, 0x94, 0x99, 0x6f, 0x8f, 0x3c, 0xcb,
	0xa5, 0xcd, 0xbc, 0x98, 0x2d, 0x31, 0xdf, 0x1e, 0x58, 0x2e, 0x25, 0x1b, 0x50, 0xc4, 0x29, 0x87,
	0x35, 0x0b, 0x72, 0x3b, 0x98, 0x6f, 0xf7, 0x19, 0x2e, 0x07, 0xc5, 0xea, 0x00, 0x14, 0xe5, 0x72,
	0x98, 0x6f, 0xcb, 0xad, 0x25, 0x6d, 0x80, 0xb1, 0xef, 0x85, 0x96, 0xe3, 0xd1, 0x80, 0x37, 0x4b,
	0xc2, 0xdf, 0x7b, 0x0b, 0xfe, 0x6e, 0x75, 0x62, 0x8c, 0xdc, 0xa6, 0x14, 0xa9, 0xb5, 0x0f, 0x6b,
	0x73, 0xd3, 0x4b, 0x36, 0xec, 0xc3, 0xf4, 0x86, 0x55, 0xb7, 0x6b, 0x68, 0x22, 0x66, 0xa5, 0xf7,
	0xef, 0x04, 0x2a, 0xb1, 0x9c, 0x3c, 0x80, 0x7a, 0x6c, 0x48, 0x3a, 0x2d, 0x55, 0xd6, 0x62, 0xa9,
	0x70, 0xfd, 0x1e, 0xac, 0xba, 0xd4, 0xf5, 0x83, 0xe9, 0x68, 0xe2, 0xb8, 0x4e, 0x28, 0x6c, 0xe4,
	0xcc, 0xaa, 0x94, 0xed, 0xa3, 0xc8, 0xf8, 0xa3, 0x08, 0xd0, 0x95, 0x61, 0xf6, 0xde, 0xfa, 0xe4,
	0x16, 0x54, 0x50, 0x1d, 0x67, 0xd6, 0x58, 0xeb, 0x4c, 0x04, 0xc4, 0x80, 0x55, 0x8c, 0x17, 0x7d,
	0x1b, 0x4d, 0x28, 0xa7, 0xa1, 0xda, 0xa6, 0x19, 0x19, 0xf9, 0x00, 0xd4, 0xbe, 0xb8, 0xd4, 0x0b,
	0x67, 0x77, 0x0a, 0x25, 0xe2, 0x18, 0x84, 0x56, 0x10, 0x8e, 0x30, 0x83, 0xa8, 0xbd, 0xaa, 0x08,
	0xc9, 0xd0, 0x71, 0x29, 0x79, 0x04, 0x79, 0x86, 0x27, 0xac, 0x20, 0x22, 0xde, 0x14, 0x37, 0x22,
	0x5e, 0xde, 0x16, 0x1e, 0x2d, 0x19, 0x68, 0x81, 0x22, 0x3b, 0x50, 0x56, 0x27, 0x08, 0xb7, 0x10,
	0x19, 0xb7, 0xe6, 0x18, 0x3a, 0xa9, 0x48, 0x56, 0x8c, 0x26, 0x2f, 0xa0, 0x42, 0x3d, 0x9b, 0xf9,
	0x8e, 0x17, 0xea, 0xed, 0xbd, 0x3d, 0x47, 0xed, 0xe9, 0x79, 0xc9, 0x4d, 0xf0, 0xe4, 0x09, 0x94,
	0x38, 0x1d, 0x07, 0x34, 0xe4, 0xcd, 0xb2, 0xa0, 0xde, 0x5c, 0xb0, 0x2a, 0x66, 0x25, 0x51, 0x63,
	0xd1, 0xa6, 0xe3, 0x9d, 0x05, 0x94, 0x73, 0xca, 0x9b, 0x95, 0xa5, 0x36, 0xfb, 0x7a, 0x5e, 0xd9,
	0x8c, 0xf1, 0xa4, 0x0d, 0xd5, 0x80, 0xb2, 0x89, 0x33, 0xb6, 0x42, 0x0c, 0x3d, 0x08, 0xfa, 0x9d,
	0x39, 0xba, 0x99, 0x20, 0xa4, 0x82, 0x34, 0x87, 0x5c, 0x8b, 0xf3, 0x5d, 0x55, 0x84, 0x5d, 0x27,
	0xb4, 0xa7, 0x50, 0x89, 0x03, 0x7b, 0x99, 0x74, 0xd6, 0x7a, 0x11, 0xdf, 0xf1, 0x7f, 0x40, 0x7e,
	0x09, 0xf5, 0xd9, 0x08, 0x5f, 0x8a, 0xfd, 0x1c, 0x56, 0xd3, 0x41, 0xbe, 0xac, 0xe5, 0xd9, 0x38,
	0x5f, 0x8a, 0xfd, 0x0a, 0x1a, 0xf3, 0x61, 0xbe, 0x54, 0x0d, 0xf8, 0x3d, 0x07, 0x75, 0x5d, 0xb6,
	0xb8, 0x1f, 0x05, 0x63, 0x8a, 0xe9, 0x6d, 0xcc, 0xa2, 0x51, 0x20, 0xcb, 0x98, 0x50, 0x93, 0x33,
	0x61, 0xcc, 0xa2, 0x54, 0x61, 0x43, 0x40, 0xfa, 0x16, 0x97, 0xc7, 0x2c, 0x12, 0x57, 0x18, 0x93,
	0x81, 0xba, 0xe5, 0x5a, 0x41, 0x4e, 0x20, 0x6a, 0x52, 0xaa, 0x75, 0xcc, 0x27, 0x83, 0xfc, 0x42,
	0x32, 0x20, 0x0f, 0x61, 0x2d, 0x88, 0x3c, 0xcf, 0xf1, 0xce, 0x46, 0x58, 0xe6, 0xbd, 0xc8, 0x15,
	0x39, 0x33, 0x67, 0xd6, 0x94, 0xb8, 0xcd, 0xd8, 0x20, 0x72, 0x89, 0x01, 0xb5, 0xc8, 0xe3, 0x63,
	0x7b, 0xa4, 0x56, 0x2d, 0xd2, 0x67, 0xce, 0xac, 0x0a, 0x61, 0x47, 0x2c, 0x1b, 0x75, 0x25, 0x18,
	0x69, 0xb1, 0x24, 0x75, 0x69, 0x94, 0xb4, 0xb9, 0x09, 0x0d, 0x89, 0x4b, 0x7c, 0x68, 0x96, 0x05,
	0xb0, 0x2e, 0xe4, 0x07, 0xda, 0x09, 0xf2, 0x08, 0xc8, 0x0c, 0x52, 0x2a, 0xad, 0x08, 0x6c, 0x23,
	0x85, 0x95, 0x7a, 0x3f, 0x81, 0x8d, 0xb4, 0x2f, 0xe1, 0xd7, 0x4e, 0x60, 0x0b, 0x8f, 0x40, 0x10,
	0x48, 0xe2, 0xd1, 0x10, 0xa7, 0xd0, 0xad, 0xa7, 0xd0, 0x4c, 0x53, 0x1c, 0x2f, 0xa4, 0x81, 0x67,
	0x4d, 0x04, 0xab, 0x2a, 0x58, 0x1b, 0x09, 0xab, 0xaf, 0x66, 0x07, 0x91, 0x6b, 0xfc, 0x90, 0x81,
	0x1b, 0x6d, 0xdb, 0x16, 0x8a, 0x8e, 0xac, 0x20, 0x9c, 0xc6, 0x07, 0x1b, 0xd7, 0x4d, 0x20, 0x1f,
	0x45, 0x71, 0xc9, 0x13, 0xdf, 0x78, 0x60, 0x78, 0x5c, 0xe7, 0xf0, 0x93, 0xd4, 0x21, 0xeb, 0x30,
	0x95, 0x2f, 0xb3, 0x0e, 0x43, 0x16, 0xf3, 0x03, 0xb9, 0x4d, 0x05, 0x53, 0x7c, 0xe3, 0x31, 0x70,
	0xf8, 0xc8, 0xf7, 0x26, 0x8e, 0x47, 0xc5, 0xce, 0x94, 0xcd, 0xb2, 0xc3, 0x0f, 0xc5, 0x58, 0x2c,
	0xe2, 0x84, 0xfd, 0xcf, 0x8b, 0x68, 0xc3, 0x8d, 0x2e, 0x9d, 0xfc, 0x9b, 0x35, 0x18, 0x3f, 0x66,
	0x80, 0x2c, 0x2a, 0xf8, 0x0f, 0x1d, 0x48, 0xd2, 0x60, 0x21, 0x9d, 0x06, 0x67, 0x1d, 0x2b, 0xce,
	0x39, 0xf6, 0x39, 0x5c, 0x59, 0xe2, 0x15, 0xd9, 0x84, 0x9c, 0x7f, 0xfa, 0x8d, 0x6a, 0x9e, 0xae,
	0x61, 0x36, 0x5e, 0x44, 0x99, 0x08, 0x31, 0xee, 0x43, 0x03, 0x5b, 0x2e, 0x4c, 0xb4, 0xaf, 0xa7,
	0xc7, 0xfd, 0x2e, 0x06, 0x44, 0xad, 0x3f, 0x93, 0x38, 0xff, 0x0a, 0xd6, 0x76, 0x29, 0x82, 0xba,
	0x34, 0xb4, 0x9c, 0xc9, 0x52, 0xd0, 0x4c, 0xb3, 0x93, 0x9d, 0x69, 0x76, 0x8c, 0x53, 0x28, 0x1f,
	0xf9, 0x76, 0xef, 0x9c, 0xca, 0x88, 0x89, 0x6e, 0x49, 0x45, 0x0c, 0xbf, 0xd1, 0xf7, 0x80, 0x5a,
	0xdc, 0xf7, 0x14, 0x51, 0x8d, 0xd0, 0x88, 0x75, 0xa6, 0x1b, 0x2b, 0xfc, 0x24, 0x4d, 0x28, 0xb9,
	0xb2, 0x0d, 0x55, 0x61, 0xd2, 0x43, 0xe3, 0xe7, 0xac, 0xa8, 0x17, 0xaa, 0x51, 0x7a, 0x98, 0xb2,
	0x52, 0xdf, 0x26, 0x18, 0x82, 0x78, 0x72, 0x0b, 0x7b, 0xb3, 0xf7, 0x58, 0x4e, 0xd9, 0xc9, 0xcd,
	0xd8, 0x41, 0x86, 0x65, 0x63, 0x71, 0x51, 0x5d, 0x82, 0x1a, 0xa1, 0xfb, 0xa8, 0x71, 0xc4, 0xc3,
	0x40, 0x2f, 0x0d, 0xc7, 0xc7, 0x61, 0x60, 0xfc, 0x94, 0x81, 0xbc, 0xe8, 0x07, 0xab, 0x50, 0x3a,
	0xea, 0x0d, 0xba, 0xfd, 0xc1, 0x6e, 0x63, 0x05, 0x07, 0xe6, 0xc9, 0x60, 0x80, 0x83, 0x0c, 0xa9,
	0x41, 0xe5, 0xf8, 0xa4, 0xd3, 0xe9, 0xf5, 0xba, 0xbd, 0x6e, 0x23, 0x4b, 0x00, 0x8a, 0x5f, 0xb4,
	0xfb, 0xfb, 0xbd, 0x6e, 0x23, 0x87, 0xb8, 0x93, 0xc1, 0x97, 0x83, 0xc3, 0xaf, 0x06, 0x8d, 0x3c,
	0xa9, 0x03, 0x0c, 0x7b, 0x07, 0xfd, 0x41, 0x7b, 0x88, 0xbc, 0x02, 0x59, 0x85, 0x72, 0xfb, 0xf5,
	0xe0, 0xd0, 0x3c, 0x68, 0xef, 0x37, 0x8a, 0x38, 0xdb, 0x1f, 0xf4, 0x87, 0x7d, 0x39, 0x5b, 0xc2,
	0xf1, 0x71, 0x67, 0xaf, 0xd7, 0x3d, 0xd9, 0xc7, 0x71, 0x19, 0xd1, 0x83, 0xc3, 0xa1, 0xd9, 0x6b,
	0x77, 0xdf, 0x34, 0x2a, 0x68, 0xf3, 0x64, 0xb0, 0xd7, 0x6b, 0xef, 0x0f, 0xf7, 0xde, 0x34, 0xc0,
	0xf8, 0x33, 0x03, 0xab, 0x47, 0xbe, 0x9d, 0xb4, 0x73, 0x57, 0xa1, 0xe0, 0xb8, 0x18, 0x01, 0xb9,
	0x55, 0x72, 0x80, 0x52, 0xd1, 0x59, 0xe9, 0x12, 0x22, 0x06, 0xa9, 0x38, 0xe6, 0xe6, 0xe3, 0x28,
	0xba, 0x28, 0x6a, 0xeb, 0x06, 0x58, 0x0d, 0x31, 0xf1, 0x8b, 0x54, 0xa9, 0xf2, 0xa6, 0x8a, 0x59,
	0x55, 0xc8, 0x64, 0xc6, 0xc4, 0xa3, 0x2f, 0x21, 0x63, 0x16, 0xa9, 0x5e, 0xb8, 0x2c, 0x04, 0x1d,
	0x16, 0x61, 0x7d, 0x51, 0x85, 0x45, 0x6b, 0x28, 0xc9, 0x66, 0x53, 0x49, 0x95, 0x8e, 0x3b, 0xd8,
	0xa0, 0x48, 0x18, 0x6a, 0x29, 0xcb, 0xce, 0x4f, 0x89, 0x3a, 0x2c, 0x32, 0x7e, 0x93, 0xe7, 0x46,
	0x9e, 0x6c, 0x3c, 0x9d, 0xa9, 0xc6, 0x55, 0x7c, 0x0b, 0x99, 0x6f, 0x6b, 0x87, 0xc5, 0xf7, 0x5c,
	0xbf, 0x98, 0x9b, 0xef, 0x17, 0x1f, 0xc4, 0x97, 0x39, 0x9f, 0x34, 0xd0, 0xf1, 0x01, 0x8c, 0xef,
	0xb6, 0xcc, 0x0b, 0x85, 0x38, 0x2f, 0x5c, 0x87, 0x12, 0x6a, 0xc7, 0x57, 0x81, 0x74, 0xb7, 0x88,
	0xc3, 0x3e, 0xc3, 0x30, 0x9e, 0xd3, 0x80, 0x3b, 0xbe, 0xa7, 0xbc, 0xd4, 0x43, 0xf2, 0x0c, 0xd6,
	0x1c, 0x0f, 0x43, 0x94, 0x3c, 0x0b, 0x64, 0xf3, 0xd7, 0x50, 0x26, 0x93, 0xb6, 0xbd, 0x8e, 0xc0,
	0xa4, 0xf7, 0x27, 0x8f, 0x67, 0x1e, 0x13, 0x95, 0x0b, 0x58, 0x29, 0x0c, 0xb9, 0x0f, 0x45, 0x8a,
	0x97, 0x98, 0xab, 0x46, 0x6f, 0x55, 0xa1, 0xc5, 0xcd, 0x36, 0xd5, 0xdc, 0xf6, 0x2f, 0x79, 0xa8,
	0xb7, 0x19, 0x33, 0xe5, 0x73, 0xfc, 0x78, 0xea, 0x8d, 0xc9, 0x0e, 0xac, 0xee, 0xd2, 0xb0, 0xcd,
	0x98, 0xba, 0x9e, 0x57, 0x52, 0x6f, 0x16, 0xfd, 0xb2, 0x6e, 0xad, 0x2f, 0x3c, 0x74, 0x8d, 0x15,
	0xf2, 0x0c, 0x40, 0x32, 0xc5, 0x63, 0x8f, 0xa4, 0x78, 0x9a, 0xb6, 0xb1, 0xf0, 0xfe, 0xc1, 0x8c,
	0x66, 0xac, 0x90, 0x27, 0x50, 0xdb, 0xa5, 0x61, 0xea, 0x19, 0xb1, 0x8c, 0x5d, 0x9f, 0xed, 0x55,
	0x8d, 0x15, 0xf2, 0x12, 0xd6, 0x77, 0x69, 0x38, 0xd7, 0x0b, 0x89, 0xb5, 0xcd, 0x3c, 0xeb, 0x5b,
	0x24, 0x2d, 0x92, 0x30, 0x63, 0x85, 0xec, 0xc1, 0x75, 0x34, 0xbf, 0x2c, 0x2b, 0x2f, 0x33, 0x7f,
	0x7d, 0x79, 0x72, 0xe6, 0xc6, 0x0a, 0xe9, 0xc0, 0xc6, 0xd2, 0xea, 0x4d, 0x44, 0x77, 0x7e, 0x61,
	0x61, 0x6f, 0x55, 0x70, 0x5a, 0xfe, 0xef, 0x10, 0x4a, 0x96, 0x56, 0x5f, 0xa9, 0xe4, 0xc2, 0xc2,
	0xbc, 0xa0, 0x64, 0x69, 0xf9, 0x24, 0xea, 0x9d, 0x30, 0xf9, 0x3b, 0x4a, 0x3e, 0x13, 0x47, 0x20,
	0xb9, 0x69, 0xe2, 0x08, 0xcc, 0x55, 0x95, 0x96, 0xbe, 0x27, 0x52, 0x62, 0xac, 0x9c, 0x16, 0xc5,
	0x5f, 0x9c, 0x4f, 0xff, 0x0a, 0x00, 0x00, 0xff, 0xff, 0x24, 0x27, 0xea, 0x25, 0xe1, 0x11, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// AppRuntimeSyncClient is the client API for AppRuntimeSync service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type AppRuntimeSyncClient interface {
	GetAppStatus(ctx context.Context, in *ServicesRequest, opts ...grpc.CallOption) (*StatusMessage, error)
	GetAppPods(ctx context.Context, in *ServiceRequest, opts ...grpc.CallOption) (*ServiceAppPodList, error)
	GetDeployInfo(ctx context.Context, in *ServiceRequest, opts ...grpc.CallOption) (*DeployInfo, error)
	GetTenantResource(ctx context.Context, in *TenantRequest, opts ...grpc.CallOption) (*TenantResource, error)
	ListThirdPartyEndpoints(ctx context.Context, in *ServiceRequest, opts ...grpc.CallOption) (*ThirdPartyEndpoints, error)
	AddThirdPartyEndpoint(ctx context.Context, in *AddThirdPartyEndpointsReq, opts ...grpc.CallOption) (*Empty, error)
	UpdThirdPartyEndpoint(ctx context.Context, in *UpdThirdPartyEndpointsReq, opts ...grpc.CallOption) (*Empty, error)
	DelThirdPartyEndpoint(ctx context.Context, in *DelThirdPartyEndpointsReq, opts ...grpc.CallOption) (*Empty, error)
	GetPodDetail(ctx context.Context, in *GetPodDetailReq, opts ...grpc.CallOption) (*PodDetail, error)
}

type appRuntimeSyncClient struct {
	cc *grpc.ClientConn
}

func NewAppRuntimeSyncClient(cc *grpc.ClientConn) AppRuntimeSyncClient {
	return &appRuntimeSyncClient{cc}
}

func (c *appRuntimeSyncClient) GetAppStatus(ctx context.Context, in *ServicesRequest, opts ...grpc.CallOption) (*StatusMessage, error) {
	out := new(StatusMessage)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/GetAppStatus", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) GetAppPods(ctx context.Context, in *ServiceRequest, opts ...grpc.CallOption) (*ServiceAppPodList, error) {
	out := new(ServiceAppPodList)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/GetAppPods", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) GetDeployInfo(ctx context.Context, in *ServiceRequest, opts ...grpc.CallOption) (*DeployInfo, error) {
	out := new(DeployInfo)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/GetDeployInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) GetTenantResource(ctx context.Context, in *TenantRequest, opts ...grpc.CallOption) (*TenantResource, error) {
	out := new(TenantResource)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/GetTenantResource", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) ListThirdPartyEndpoints(ctx context.Context, in *ServiceRequest, opts ...grpc.CallOption) (*ThirdPartyEndpoints, error) {
	out := new(ThirdPartyEndpoints)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/ListThirdPartyEndpoints", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) AddThirdPartyEndpoint(ctx context.Context, in *AddThirdPartyEndpointsReq, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/AddThirdPartyEndpoint", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) UpdThirdPartyEndpoint(ctx context.Context, in *UpdThirdPartyEndpointsReq, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/UpdThirdPartyEndpoint", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) DelThirdPartyEndpoint(ctx context.Context, in *DelThirdPartyEndpointsReq, opts ...grpc.CallOption) (*Empty, error) {
	out := new(Empty)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/DelThirdPartyEndpoint", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *appRuntimeSyncClient) GetPodDetail(ctx context.Context, in *GetPodDetailReq, opts ...grpc.CallOption) (*PodDetail, error) {
	out := new(PodDetail)
	err := c.cc.Invoke(ctx, "/pb.AppRuntimeSync/GetPodDetail", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AppRuntimeSyncServer is the server API for AppRuntimeSync service.
type AppRuntimeSyncServer interface {
	GetAppStatus(context.Context, *ServicesRequest) (*StatusMessage, error)
	GetAppPods(context.Context, *ServiceRequest) (*ServiceAppPodList, error)
	GetDeployInfo(context.Context, *ServiceRequest) (*DeployInfo, error)
	GetTenantResource(context.Context, *TenantRequest) (*TenantResource, error)
	ListThirdPartyEndpoints(context.Context, *ServiceRequest) (*ThirdPartyEndpoints, error)
	AddThirdPartyEndpoint(context.Context, *AddThirdPartyEndpointsReq) (*Empty, error)
	UpdThirdPartyEndpoint(context.Context, *UpdThirdPartyEndpointsReq) (*Empty, error)
	DelThirdPartyEndpoint(context.Context, *DelThirdPartyEndpointsReq) (*Empty, error)
	GetPodDetail(context.Context, *GetPodDetailReq) (*PodDetail, error)
}

func RegisterAppRuntimeSyncServer(s *grpc.Server, srv AppRuntimeSyncServer) {
	s.RegisterService(&_AppRuntimeSync_serviceDesc, srv)
}

func _AppRuntimeSync_GetAppStatus_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServicesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).GetAppStatus(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/GetAppStatus",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).GetAppStatus(ctx, req.(*ServicesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_GetAppPods_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).GetAppPods(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/GetAppPods",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).GetAppPods(ctx, req.(*ServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_GetDeployInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).GetDeployInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/GetDeployInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).GetDeployInfo(ctx, req.(*ServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_GetTenantResource_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TenantRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).GetTenantResource(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/GetTenantResource",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).GetTenantResource(ctx, req.(*TenantRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_ListThirdPartyEndpoints_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ServiceRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).ListThirdPartyEndpoints(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/ListThirdPartyEndpoints",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).ListThirdPartyEndpoints(ctx, req.(*ServiceRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_AddThirdPartyEndpoint_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddThirdPartyEndpointsReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).AddThirdPartyEndpoint(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/AddThirdPartyEndpoint",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).AddThirdPartyEndpoint(ctx, req.(*AddThirdPartyEndpointsReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_UpdThirdPartyEndpoint_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdThirdPartyEndpointsReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).UpdThirdPartyEndpoint(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/UpdThirdPartyEndpoint",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).UpdThirdPartyEndpoint(ctx, req.(*UpdThirdPartyEndpointsReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_DelThirdPartyEndpoint_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DelThirdPartyEndpointsReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).DelThirdPartyEndpoint(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/DelThirdPartyEndpoint",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).DelThirdPartyEndpoint(ctx, req.(*DelThirdPartyEndpointsReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _AppRuntimeSync_GetPodDetail_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetPodDetailReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AppRuntimeSyncServer).GetPodDetail(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.AppRuntimeSync/GetPodDetail",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AppRuntimeSyncServer).GetPodDetail(ctx, req.(*GetPodDetailReq))
	}
	return interceptor(ctx, in, info, handler)
}

var _AppRuntimeSync_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.AppRuntimeSync",
	HandlerType: (*AppRuntimeSyncServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetAppStatus",
			Handler:    _AppRuntimeSync_GetAppStatus_Handler,
		},
		{
			MethodName: "GetAppPods",
			Handler:    _AppRuntimeSync_GetAppPods_Handler,
		},
		{
			MethodName: "GetDeployInfo",
			Handler:    _AppRuntimeSync_GetDeployInfo_Handler,
		},
		{
			MethodName: "GetTenantResource",
			Handler:    _AppRuntimeSync_GetTenantResource_Handler,
		},
		{
			MethodName: "ListThirdPartyEndpoints",
			Handler:    _AppRuntimeSync_ListThirdPartyEndpoints_Handler,
		},
		{
			MethodName: "AddThirdPartyEndpoint",
			Handler:    _AppRuntimeSync_AddThirdPartyEndpoint_Handler,
		},
		{
			MethodName: "UpdThirdPartyEndpoint",
			Handler:    _AppRuntimeSync_UpdThirdPartyEndpoint_Handler,
		},
		{
			MethodName: "DelThirdPartyEndpoint",
			Handler:    _AppRuntimeSync_DelThirdPartyEndpoint_Handler,
		},
		{
			MethodName: "GetPodDetail",
			Handler:    _AppRuntimeSync_GetPodDetail_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "app_runtime_server.proto",
}
